Last Comment Bug 658069 - Rename GlobalObject::isEvalAllowed
: Rename GlobalObject::isEvalAllowed
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla7
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 14:29 PDT by Jeff Walden [:Waldo] (remove +bmo to email)
Modified: 2011-06-20 17:03 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (4.98 KB, patch)
2011-06-09 12:07 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
mrbkap: review+
Details | Diff | Review

Description Jeff Walden [:Waldo] (remove +bmo to email) 2011-05-18 14:29:29 PDT
It's really something like "is dynamic code generation possible via eval or Function", so its name is a misnomer (particularly when it's called in the code to implement the Function constructor!).

Tangentially, but perhaps fixable in this bug, we should get rid of js_CheckContentSecurityPolicy, and we should make all such callers use the GlobalObject::* method instead.
Comment 1 Jeff Walden [:Waldo] (remove +bmo to email) 2011-06-09 12:07:29 PDT
Created attachment 538311 [details] [diff] [review]
Patch
Comment 2 Jeff Walden [:Waldo] (remove +bmo to email) 2011-06-13 18:19:20 PDT
http://hg.mozilla.org/tracemonkey/rev/ec6d95dc5e1c
Comment 3 Chris Leary [:cdleary] (not checking bugmail) 2011-06-20 17:03:52 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/ec6d95dc5e1c

Note You need to log in before you can comment on or make changes to this bug.